URLStreamHandler
Date: 2016-06-24

java.net

## Class URLStreamHandler

- java.lang.Object
- - java.net.URLStreamHandler

-     public abstract class URLStreamHandler
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `URLStreamHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `equals(URL var0, URL var1)`
    `protected int` | `getDefaultPort()`
    `protected InetAddress` | `getHostAddress(URL var0)`
    `protected int` | `hashCode(URL var0)`
    `protected boolean` | `hostsEqual(URL var0, URL var1)`
    `protected abstract URLConnection` | `openConnection(URL var0)`
    `protected void` | `parseURL(URL var0, String var1, int var2, int var3)`
    `protected boolean` | `sameFile(URL var0, URL var1)`
    `protected void` | `setURL(URL var0, String var1, String var2, int var3, String var4, String var5, String var6, String var7, String var8)`
    `protected String` | `toExternalForm(URL var0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### URLStreamHandler

          public URLStreamHandler()

  - ### Method Detail

    - #### equals

          protected boolean equals(URL var0,
                       URL var1)

    - #### getDefaultPort

          protected int getDefaultPort()

    - #### getHostAddress

          protected InetAddress getHostAddress(URL var0)

    - #### hashCode

          protected int hashCode(URL var0)

    - #### hostsEqual

          protected boolean hostsEqual(URL var0,
                           URL var1)

    - #### openConnection

          protected abstract URLConnection openConnection(URL var0)
                                                   throws IOException

      Throws:
        `IOException`

    - #### parseURL

          protected void parseURL(URL var0,
                      String var1,
                      int var2,
                      int var3)

    - #### sameFile

          protected boolean sameFile(URL var0,
                         URL var1)

    - #### setURL

          protected void setURL(URL var0,
                    String var1,
                    String var2,
                    int var3,
                    String var4,
                    String var5,
                    String var6,
                    String var7,
                    String var8)

    - #### toExternalForm

          protected String toExternalForm(URL var0)